import { createStore } from 'vuex'

export default createStore({
  state: {
    //定义全局变量用户账号 this.$store.getters.userid
    usrid:"",
    username:"",
    gender:false,
    phonenumber:"",
    address:"",
    code:"",
  },
  getters: {
    username: state=> state.username,
    userid: state=>state.usrid,
    gender:state=>state.gender,
    phonenumber:state=>state.phonenumber,
    address:state=>state.address,
    code: state=> state.code
  },
  mutations: {
    setId:(state,userid)=>{
      state.usrid=userid;},
    setName:(state,username)=>{
      state.username=username;},
    setGender:(state,gender)=>{
  state.gender=gender;},
    setPhonenumber:(state,phone)=>{
      state.phonenumber=phone;},
    setAddress:(state,address)=>{
      state.address=address;},
    setCode:(state,code)=>{
      state.code=code;}
  },
  actions: {
  },
  modules: {
  }
})
